var roll_width2=$('.ShowRollPicBox2 .width').val();
var roll_height2=$('.ShowRollPicBox2 .height').val();
if(roll_width2>0){
	$('.ShowRollPicBox2').css({'width':roll_width2+'px'});	
}else{
	$('.ShowRollPicBox2').css({'width':'100%'});	
}
if(roll_height2>0){
	$('.ShowRollPicBox2').css({'height':roll_height2+'px'});	
}else{
	$('.ShowRollPicBox2').css({'height':'100px'});	
}
var roll_nums2=$('.ShowRollPicBox2 .bigimg li').length;
if(roll_nums2<1){
	$('.ShowRollPicBox2').fadeOut();	
}
var ListNum2="<ul class='ListNum'>";
var showNum2=0;
$('.ShowRollPicBox2 .bigimg li').each(function(){
	showNum2++;
	ListNum2+="<li><span>"+showNum2+"</span></li>";
});
ListNum2+="</ul>";
$('.ShowRollPicBox2').append(ListNum2);
var beginnum2=0;
function changSlide2(num){
	$('.ShowRollPicBox2 .bigimg li').css({'opacity':0,'left':'100%'});
	$('.ShowRollPicBox2 .bigimg li').eq(num).css({'opacity':1});
	$('.ShowRollPicBox2 .bigimg li').eq(num).stop().animate({'left':'0px'},300);
	$('.ShowRollPicBox2 .ListNum li').removeClass('ck');
	$('.ShowRollPicBox2 .ListNum li').eq(num).addClass('ck');
}
function next_changSlide2(){
	beginnum2++;
	if(beginnum2>roll_nums2-1){
		beginnum2=0;
	}
	changSlide2(beginnum2);
}
changSlide2(beginnum2);
var slideing2;
function autoSlide2(){
	slideing2 = setInterval("next_changSlide2()",5000);
}
function stopSlide2() {
	clearInterval(slideing2);
}
autoSlide2();
$('.ShowRollPicBox2').hover(
	function(){
		stopSlide2();
	},
	function(){
		autoSlide2();
	}
);
$('.ShowRollPicBox2 .ListNum li').click(function(){
	beginnum2=$(this).index();
	changSlide2(beginnum2);
});